glibc 2.1.3 vs. 2.1.2

Jochen Schroeder jschrod at uni-muenster.de
Fri May 7 02:45:10 PDT 2004


Andre wrote:
> I have a program which was compiled on LFS and uses a shared library
> libmylib that needs glibc2.1.3. Now I'm trying to run this program on the
> same hardware, but on distro Y and I'm getting the following error message:
> /lib/libc.so.6: version `GLIBC_2.1.3' not found (required by
> /usr/lib/libmylib.so.2)
> 
> Unfortunately I don't have the source to rebuild libmylib.
> 
> At this point it is highly unlikely that I can upgrade distro Y to
> glibc2.1.3.
> 
> Are there any other options?
> 
> 
I ran across a programm called elf statifier (or similar) on freshmeat 
the other day. It creates a static executable from a dynamically linked 
one, so you should be able to make a static binary of the program on 
your lfs system and then use it somewhere else.
Just looked it up it's at:
http://statifier.sourceforge.net/
I haven't used it so I can't say how good it works.

Cheers
Jochen



More information about the lfs-support mailing list